Package Gnumed :: Package timelinelib :: Package db :: Package objects :: Module timeperiod |
[frames] | no frames]

# Module timeperiod

source code

Classes
| TimePeriod Represents a period in time using a start and end time.
| TimeOutOfRangeLeftError
| TimeOutOfRangeRightError
| PeriodTooLongError

Functions
time_period_center(time_type, time, length) TimePeriod factory method. | source code

Function Details

### time_period_center(time_type, time, length) | source code
TimePeriod factory method. Return a time period with the given length (represented as a timedelta) centered around `time`.